package ru.yandex.autotests.direct.fakebsproxy.beans.moderate;

import com.google.gson.annotations.SerializedName;
import ru.yandex.autotests.direct.fakebsproxy.beans.BaseBean;

public class MobileContentData extends BaseBean<MobileContentData> {

    @SerializedName("os_type")
    private String osType;
    @SerializedName("icon_url")
    private String iconUrl;
    @SerializedName("content_type")
    private String contentType;
    @SerializedName("store_country")
    private String storeCountry;
    @SerializedName("name")
    private String name;
    @SerializedName("store_app_id")
    private String storeAppId;
    @SerializedName("store_name")
    private String storeName;

    public String getOsType() {
        return osType;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public String getContentType() {
        return contentType;
    }

    public String getStoreCountry() {
        return storeCountry;
    }

    public String getName() {
        return name;
    }

    public String getStoreAppId() {
        return storeAppId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setOsType(String osType) {
        this.osType = osType;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    public void setStoreCountry(String storeCountry) {
        this.storeCountry = storeCountry;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setStoreAppId(String storeAppId) {
        this.storeAppId = storeAppId;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public MobileContentData withOsType(String osType) {
        this.osType = osType;
        return this;
    }

    public MobileContentData withIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
        return this;
    }

    public MobileContentData withContentType(String contentType) {
        this.contentType = contentType;
        return this;
    }

    public MobileContentData withStoreCountry(String storeCountry) {
        this.storeCountry = storeCountry;
        return this;
    }

    public MobileContentData withName(String name) {
        this.name = name;
        return this;
    }

    public MobileContentData withStoreAppId(String storeAppId) {
        this.storeAppId = storeAppId;
        return this;
    }

    public MobileContentData withStoreName(String storeName) {
        this.storeName = storeName;
        return this;
    }
}